<?php

class Hub2b_Hubpayment_Model_Hubpayment extends Mage_Payment_Model_Method_Abstract
{
    protected $_code = 'hubpayment';
	
	public function isAPI()
	{
		return Mage::getSingleton('api/session')->getSessionId() != "";
	}
	
	public function isAvailable($quote=null)
	{
		if (!$this->isAPI())
		{
			Mage::log('hubPayment not available for not API');
			
			return false;
		}
		return true;
	}
	
	  protected $_isGateway               = true;

    /**
     * Can authorize online?
     */
    protected $_canAuthorize            = true;

    /**
     * Can capture funds online?
     */
    protected $_canCapture              = true;

    /**
     * Can capture partial amounts online?
     */
    protected $_canCapturePartial       = true;

    /**
     * Can refund online?
     */
    protected $_canRefund               = true;

    /**
     * Can void transactions online?
     */
    protected $_canVoid                 = true;

    /**
     * Can use this payment method in administration panel?
     */
    protected $_canUseInternal          = true;

    /**
     * Can show this payment method as an option on checkout payment page?
     */
    protected $_canUseCheckout          = true;

    /**
     * Is this payment method suitable for multi-shipping checkout?
     */
    protected $_canUseForMultishipping  = true;

    /**
     * Can save credit card information for future processing?
     */
    protected $_canSaveCc = true;

    /**
     * Retrieve information from payment configuration
     *
     * @param string $field
     * @param int|string|null|Mage_Core_Model_Store $storeId
     *
     * @return mixed
     */

    /**
     * Retrieve payment method title
     *
     * @return string
     */
    public function getTitle()
    {
        if ($this->getInfoInstance()->getOrigData('additional_data') != '') {
            return $this->getInfoInstance()->getOrigData('additional_data');
        } else {
            return $this->getConfigData('title');
        }
    }
}

?>